Subject: Re: [PATCH] powerpc: POWER7 optimised memcpy using VMX and enhanced prefetch

From: Peter Bergner <[email-masked]>
Date: Wed, 09 Jan 2013 17:06:10 -0600

On Wed, 2013-01-09 at 16:19 -0600, Jimi Xenidis wrote:
> I agree, but that means it is impossible for the same .S file can be compiled
> but -mcpu=e500mc and -mcpu=powerpc?  So either these files have to be Book3S
> versus Book3E --or-- we use a CPP macro to get them right.
> FWIW, I prefer the latter which allows more code reuse.

I agree using a CPP macro - like we do for "new" instructions for which some
older assemblers might not support yet - is probably the best solution.

Peter